public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Virgil Dupras" <vdupras@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/sphinx/
Date: Sun, 31 Mar 2019 13:05:41 +0000 (UTC)	[thread overview]
Message-ID: <1554037383.70300828c45a6688fee7e8661a8c32ddfc0446e8.vdupras@gentoo> (raw)

commit:     70300828c45a6688fee7e8661a8c32ddfc0446e8
Author:     Virgil Dupras <vdupras <AT> gentoo <DOT> org>
AuthorDate: Sun Mar 31 13:02:43 2019 +0000
Commit:     Virgil Dupras <vdupras <AT> gentoo <DOT> org>
CommitDate: Sun Mar 31 13:03:03 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=70300828

dev-python/sphinx: bump to 2.0.0

I removed the "net" USE flag because it does nothing else than adding
dependencies that aren't referenced anywhere in the code. Moreover, the
release that introduced it, 1.5.1, wasn't accompanied by a justification
for its addition. I think that it was added for what is now
"sphinxcontrib-websupport". If that's the case, then this doesn't belong
here.

Closes: https://bugs.gentoo.org/662322
Signed-off-by: Virgil Dupras <vdupras <AT> gentoo.org>
Package-Manager: Portage-2.3.62, Repoman-2.3.11

 dev-python/sphinx/Manifest            |   1 +
 dev-python/sphinx/sphinx-2.0.0.ebuild | 106 ++++++++++++++++++++++++++++++++++
 2 files changed, 107 insertions(+)

diff --git a/dev-python/sphinx/Manifest b/dev-python/sphinx/Manifest
index 1aded9f3083..8acce3aeae6 100644
--- a/dev-python/sphinx/Manifest
+++ b/dev-python/sphinx/Manifest
@@ -1,3 +1,4 @@
 DIST Sphinx-1.2.2.tar.gz 3143671 BLAKE2B a21b2a060363ac86832a6a28a623ed410ff0bb39ca3c9c58618ade88f4305996e54c559bb588c518597e31a73fc16e0c37fc57950eb077179f03715dfee72729 SHA512 44073c215f9d0e7f6c7bc91cb85b0508a96e5cfff5f940fef86e2fc6f11281d03b54e87e51e5a99a23e96b470a93f3af86a6a3ab7c317c747406c55b4c37791c
 DIST Sphinx-1.2.3.tar.gz 3200548 BLAKE2B 42033c59e6e38247af12c78cb4f69c73b1dfa883aa8a9e6c180bb74de666b45faef24a55c0bfd3aa1f22bf3e632e0e95016eb1bea54e8b5ebc7df78756763b5c SHA512 00346516e826a65145a3a7fd25ef7cee569ae7fdcc0c1bec3a7301fc08d5d8730d02eee792c3efedfcac17e712ea7e2ad70ea1fcdedc11720ad54f6bcb51ad05
 DIST Sphinx-1.7.5.tar.gz 4726802 BLAKE2B 8d828dcae1f3ebb813c5f2de8c096a3fac4ab88b424955c27592349c544b775a21703c904a54efa7f86e1967198f4950804904a82a7142a3499f33c5343506e3 SHA512 db2a8df2cdb2ed78ce2341175575c2b04a149451b2bc8a4f74ddc73e308a19d505874fdbae4e370ce48a9b1cdb4de47cdab489bc57c1b378e857d5b8d04a07b8
+DIST Sphinx-2.0.0.tar.gz 6011308 BLAKE2B 72ec668522b803c07a76be086a27d2f8fb844558fc3d3a9fbaa7a191e570c23e3baa951873f68d3b54c48d8cfa770f8fd1549b718a7e760b7691bb686fe9e83d SHA512 283e18514262366e0aebc23f1e48ce7fa3591e48572525c832f96ec4f943463e19904c67ab06a4b3244119750c63dc496d4a4142e1e4a55e0b4ebdc748cf6aa6

diff --git a/dev-python/sphinx/sphinx-2.0.0.ebuild b/dev-python/sphinx/sphinx-2.0.0.ebuild
new file mode 100644
index 00000000000..779ccc6065c
--- /dev/null
+++ b/dev-python/sphinx/sphinx-2.0.0.ebuild
@@ -0,0 +1,106 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python3_{5,6,7} pypy3 )
+PYTHON_REQ_USE="threads(+)"
+
+inherit distutils-r1
+
+DESCRIPTION="Python documentation generator"
+HOMEPAGE="http://www.sphinx-doc.org/"
+SRC_URI="mirror://pypi/S/${PN^}/${P^}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~x64-solaris"
+IUSE="doc latex test"
+
+# Tests automagically use latex, bug 667414
+#REQUIRED_USE="test? ( latex )"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+	<dev-python/alabaster-0.8[${PYTHON_USEDEP}]
+	dev-python/Babel[${PYTHON_USEDEP}]
+	dev-python/docutils[${PYTHON_USEDEP}]
+	dev-python/imagesize[${PYTHON_USEDEP}]
+	dev-python/jinja[${PYTHON_USEDEP}]
+	dev-python/pygments[${PYTHON_USEDEP}]
+	dev-python/requests[${PYTHON_USEDEP}]
+	dev-python/snowballstemmer[${PYTHON_USEDEP}]
+	dev-python/sphinxcontrib-applehelp[${PYTHON_USEDEP}]
+	dev-python/sphinxcontrib-devhelp[${PYTHON_USEDEP}]
+	dev-python/sphinxcontrib-jsmath[${PYTHON_USEDEP}]
+	dev-python/sphinxcontrib-htmlhelp[${PYTHON_USEDEP}]
+	dev-python/sphinxcontrib-serializinghtml[${PYTHON_USEDEP}]
+	dev-python/sphinxcontrib-qthelp[${PYTHON_USEDEP}]
+	dev-python/sphinx_rtd_theme[${PYTHON_USEDEP}]
+	dev-python/packaging[${PYTHON_USEDEP}]
+	latex? (
+		dev-texlive/texlive-latexextra
+		dev-texlive/texlive-luatex
+		app-text/dvipng
+	)"
+DEPEND="${RDEPEND}
+	dev-python/setuptools[${PYTHON_USEDEP}]
+	test? (
+		dev-python/html5lib[${PYTHON_USEDEP}]
+		dev-python/pytest[${PYTHON_USEDEP}]
+		virtual/imagemagick-tools[jpeg,png,svg]
+		dev-texlive/texlive-latexextra
+		dev-texlive/texlive-luatex
+		app-text/dvipng
+	)"
+
+S="${WORKDIR}/${P^}"
+
+python_prepare_all() {
+	# remove tests that fail due to network-sandbox
+	rm tests/test_build_linkcheck.py || die "Failed to remove web tests"
+	sed -i -e 's:test_latex_images:_&:' tests/test_build_latex.py || die
+	sed -i -e 's:test_latex_doc:_&:' tests/test_build_latex.py || die
+
+	# requires specific locales
+	sed -i -e 's:test_babel_with_language_:_&:' tests/test_build_latex.py || die
+	sed -i -e 's:test_polyglossia_with_language_:_&:' tests/test_build_latex.py || die
+
+	# fail for unknown reasons. TODO: find out why
+	sed -i -e 's:test_build_latex_doc:_&:' tests/test_build_latex.py || die
+	rm tests/test_ext_imgconverter.py || die "Failed to remove broken test"
+
+	# fails when additional sphinx themes are installed
+	sed -i -e 's:test_theme_api:_&:' tests/test_theming.py || die
+
+	# fail under pypy3
+	sed -i -e 's:test_partialmethod:_&:' tests/test_autodoc.py || die
+	sed -i -e 's:test_partialfunction:_&:' tests/test_autodoc.py || die
+
+	distutils-r1_python_prepare_all
+}
+
+python_compile() {
+	distutils-r1_python_compile
+
+	# Generate the grammar. It will be caught by install somehow.
+	# Note that the tests usually do it for us. However, I don't want
+	# to trust USE=test really running all the tests, especially
+	# with FEATURES=test-fail-continue.
+	pushd "${BUILD_DIR}"/lib >/dev/null || die
+	"${EPYTHON}" -m sphinx.pycode.__init__ || die "Grammar generation failed."
+	popd >/dev/null || die
+}
+
+python_compile_all() {
+	if use doc; then
+		esetup.py build_sphinx
+		HTML_DOCS=( "${BUILD_DIR}"/sphinx/html/. )
+	fi
+}
+
+python_test() {
+	mkdir -p "${BUILD_DIR}/sphinx_tempdir" || die
+	local -x SPHINX_TEST_TEMPDIR="${BUILD_DIR}/sphinx_tempdir"
+	pytest -vv || die "Tests fail with ${EPYTHON}"
+}


             reply	other threads:[~2019-03-31 13:05 UTC|newest]

Thread overview: 268+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2019-03-31 13:05 Virgil Dupras [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-03-22 20:42 [gentoo-commits] repo/gentoo:master commit in: dev-python/sphinx/ Arthur Zamarin
2025-03-09  9:11 WANG Xuerui
2025-03-03  3:46 Michał Górny
2025-02-24 20:18 Michał Górny
2025-02-24 20:18 Michał Górny
2025-02-22  9:33 Arthur Zamarin
2025-02-22  9:33 Arthur Zamarin
2025-02-22  9:33 Arthur Zamarin
2025-02-22  9:33 Arthur Zamarin
2025-02-22  9:33 Arthur Zamarin
2025-02-22  9:33 Arthur Zamarin
2025-02-22  7:50 Michał Górny
2025-02-20 13:27 Jakov Smolić
2025-02-20 12:57 Sam James
2025-02-20  5:06 Michał Górny
2025-02-18 16:55 Michał Górny
2025-02-18  7:35 Michał Górny
2025-02-17 20:47 Michał Górny
2024-11-02  9:01 Michał Górny
2024-10-26 11:52 Michał Górny
2024-10-14  3:34 Michał Górny
2024-10-13  2:48 Michał Górny
2024-10-12  4:35 Michał Górny
2024-10-10 18:25 Michał Górny
2024-08-17  9:57 Michał Górny
2024-08-17  7:51 Michał Górny
2024-08-10  7:31 Michał Górny
2024-08-10  7:25 Michał Górny
2024-07-31  5:52 Michał Górny
2024-07-30  2:47 Michał Górny
2024-07-25  3:12 Michał Górny
2024-07-21  2:31 Michał Górny
2024-07-21  2:31 Michał Górny
2024-07-19  4:25 Michał Górny
2024-07-17 12:35 Michał Górny
2024-07-16  5:30 Michał Górny
2024-07-15  9:04 Michał Górny
2024-06-08 10:55 Arthur Zamarin
2024-06-08  6:24 Arthur Zamarin
2024-05-25  9:28 Michał Górny
2024-05-08 12:24 Michał Górny
2024-04-23 14:33 Michał Górny
2024-04-21 15:01 Michał Górny
2023-10-06 18:12 Michał Górny
2023-10-06 15:13 Michał Górny
2023-10-06 14:55 Sam James
2023-09-14  6:05 Michał Górny
2023-09-11 14:08 Michał Górny
2023-09-11 14:08 Michał Górny
2023-09-11 12:25 Arthur Zamarin
2023-08-31 13:22 Michał Górny
2023-08-28  5:13 Michał Górny
2023-08-24  4:30 Michał Górny
2023-08-17 18:55 Michał Górny
2023-08-17 12:51 Michał Górny
2023-08-17  8:36 Michał Górny
2023-08-02  6:05 Michał Górny
2023-07-28  5:32 Michał Górny
2023-07-25  5:20 Michał Górny
2023-07-24 14:28 Arthur Zamarin
2023-07-24 12:56 Michał Górny
2023-07-19 11:10 Michał Górny
2023-05-31 10:50 Michał Górny
2023-05-29 21:55 Sam James
2023-05-20  7:25 Michał Górny
2023-05-13  4:46 Michał Górny
2023-04-30  3:55 Michał Górny
2023-04-26  5:36 Michał Górny
2023-04-24  5:57 Michał Górny
2023-01-31 12:00 Michał Górny
2023-01-11  5:14 Michał Górny
2023-01-07 19:45 Arthur Zamarin
2023-01-06 15:27 Michał Górny
2022-12-30  7:08 Michał Górny
2022-11-19  8:46 Arthur Zamarin
2022-11-19  8:39 Arthur Zamarin
2022-11-12 12:27 Arthur Zamarin
2022-11-03 19:44 Arthur Zamarin
2022-11-03 19:38 Arthur Zamarin
2022-10-18  7:26 Michał Górny
2022-10-01  9:26 Arthur Zamarin
2022-09-27 18:25 Arthur Zamarin
2022-09-26 11:21 Michał Górny
2022-09-25 13:44 Michał Górny
2022-08-30 18:53 Michał Górny
2022-08-30 17:08 Jakov Smolić
2022-08-27  6:03 Michał Górny
2022-08-26 17:31 Arthur Zamarin
2022-07-29 10:59 Arthur Zamarin
2022-07-25  7:12 Michał Górny
2022-07-09 20:22 Michał Górny
2022-07-09 18:32 Arthur Zamarin
2022-06-17  0:01 Sam James
2022-06-03  5:37 Michał Górny
2022-05-30  8:52 Michał Górny
2022-05-22  5:16 Michał Górny
2022-05-22  1:48 Sam James
2022-05-14 12:44 Arthur Zamarin
2022-04-27 12:27 Michał Górny
2022-03-28 10:14 Michał Górny
2022-02-17 20:15 Michał Górny
2022-02-17 19:30 Arthur Zamarin
2022-01-20 23:26 Michał Górny
2022-01-20 14:20 Michał Górny
2022-01-20  8:47 Arthur Zamarin
2022-01-18  8:46 Michał Górny
2022-01-16 22:03 Michał Górny
2021-12-19 20:50 Arthur Zamarin
2021-12-11 23:24 Michał Górny
2021-12-11 20:24 Arthur Zamarin
2021-11-27 21:18 Michał Górny
2021-11-10 22:35 Michał Górny
2021-10-27  8:29 Michał Górny
2021-10-16  1:14 Sam James
2021-09-13  7:45 Michał Górny
2021-08-19  1:09 Sam James
2021-07-14 22:16 Michał Górny
2021-07-12 22:56 Michał Górny
2021-07-12 21:59 Sam James
2021-07-12  9:11 Michał Górny
2021-07-06  7:58 Michał Górny
2021-05-21  9:21 Michał Górny
2021-05-21  9:21 Michał Górny
2021-05-12 18:22 Michał Górny
2021-05-10 19:32 Michał Górny
2021-05-09  8:23 Michał Górny
2021-04-22 15:07 Michał Górny
2021-04-22 12:13 Sam James
2021-04-11 18:56 Michał Górny
2021-04-09 22:25 Michał Górny
2021-04-09 22:20 Sam James
2021-03-20 21:07 Michał Górny
2021-03-19 21:39 Michał Górny
2021-03-19 20:14 Sam James
2021-03-06 17:45 Michał Górny
2021-02-19 16:37 Michał Górny
2021-02-19  8:57 Michał Górny
2021-02-19  2:54 Sam James
2021-02-16 17:08 Michał Górny
2021-02-15  8:34 Michał Górny
2021-01-08  0:45 Michał Górny
2021-01-06 22:30 Fabian Groffen
2021-01-05 21:32 Michał Górny
2021-01-05 21:03 Sam James
2021-01-05 10:56 Michał Górny
2021-01-05  9:51 Michał Górny
2020-12-25  9:17 Michał Górny
2020-12-20 20:34 Michał Górny
2020-12-20 20:34 Michał Górny
2020-12-01 21:08 Sam James
2020-11-12 21:13 Michał Górny
2020-10-21 22:51 Michał Górny
2020-09-18 17:56 Sam James
2020-08-22 10:10 Michał Górny
2020-08-22  7:13 Michał Górny
2020-08-15  8:44 Michał Górny
2020-08-14 23:22 Andreas Sturmlechner
2020-08-12 15:50 Sam James
2020-08-12 15:11 Michał Górny
2020-08-12 15:07 Sam James
2020-08-12 10:01 Michał Górny
2020-08-04 18:57 Sergei Trofimovich
2020-07-31 22:33 Aaron Bauman
2020-07-27 10:02 Michał Górny
2020-07-18 14:20 Sam James
2020-07-14 10:50 Sam James
2020-07-14 10:50 Sam James
2020-07-07  6:35 Michał Górny
2020-07-05 20:12 Michał Górny
2020-06-19 15:41 Sergei Trofimovich
2020-06-14  8:29 Michał Górny
2020-06-08 16:55 Michał Górny
2020-06-08  6:41 Michał Górny
2020-06-06 19:31 Mart Raudsepp
2020-05-31 17:17 Michał Górny
2020-05-26 16:57 Michał Górny
2020-05-07  8:56 Michał Górny
2020-05-06 14:25 Mikle Kolyada
2020-05-04 12:24 Michał Górny
2020-05-01 14:03 Agostino Sarubbo
2020-05-01 14:00 Agostino Sarubbo
2020-05-01 13:58 Agostino Sarubbo
2020-04-27  8:33 Michał Górny
2020-04-25 10:42 Mikle Kolyada
2020-04-22  8:15 Michał Górny
2020-04-21  8:08 Michał Górny
2020-04-20 13:29 Agostino Sarubbo
2020-04-20 10:16 Agostino Sarubbo
2020-04-14 10:43 Michał Górny
2020-04-11  7:49 Michał Górny
2020-04-06 19:57 Michał Górny
2020-04-06 19:18 Michał Górny
2020-04-06 12:02 Michał Górny
2020-04-05 21:53 Sergei Trofimovich
2020-03-16 20:56 Michał Górny
2020-03-06 13:43 Michał Górny
2020-03-03 17:46 Michał Górny
2020-03-02 20:30 Michał Górny
2020-03-02 20:22 Michał Górny
2020-02-24 11:43 Agostino Sarubbo
2020-02-24 11:31 Agostino Sarubbo
2020-02-24 11:28 Agostino Sarubbo
2020-02-24 10:04 Agostino Sarubbo
2020-02-23 12:10 Mikle Kolyada
2020-02-14 12:47 Michał Górny
2020-01-26 21:25 Matthew Thode
2019-12-30 21:54 Piotr Karbowski
2019-12-19 21:40 Piotr Karbowski
2019-04-12 13:03 Virgil Dupras
2019-04-12 13:03 Virgil Dupras
2018-10-16 12:01 Virgil Dupras
2018-10-02 21:12 Mike Gilbert
2018-10-02 21:05 Mikle Kolyada
2018-10-01 21:47 Thomas Deutschmann
2018-10-01 21:31 Sergei Trofimovich
2018-10-01 14:20 Mike Gilbert
2018-10-01  3:55 Mike Gilbert
2018-07-16 19:57 Michał Górny
2018-07-13 21:40 Michał Górny
2018-07-12 18:49 Michał Górny
2018-07-12 18:49 Michał Górny
2018-07-12 18:49 Michał Górny
2018-07-12 18:49 Michał Górny
2018-07-12 13:27 Michał Górny
2018-06-22 19:34 Tim Harder
2018-06-22 15:01 Mikle Kolyada
2018-06-21 18:02 Tim Harder
2018-03-27 23:15 Matt Turner
2018-02-24 15:17 Patrick Lauer
2018-02-22 18:06 Michał Górny
2018-02-16  6:08 Matt Thode
2018-01-06 13:39 Michał Górny
2018-01-01 10:08 Michał Górny
2017-12-16 21:49 Mike Gilbert
2017-12-16 21:22 Mike Gilbert
2017-08-13 13:03 Sergei Trofimovich
2017-08-13 11:16 Sergei Trofimovich
2017-07-29 20:38 Matt Thode
2017-07-29 20:38 Matt Thode
2017-07-18  8:25 Sergei Trofimovich
2017-07-17 21:15 Patrick McLean
2017-07-17 21:15 Patrick McLean
2017-07-15 16:22 Tobias Klausmann
2017-07-13 18:23 Patrick McLean
2017-07-13  7:47 Patrick McLean
2017-07-12 22:53 Patrick McLean
2017-07-11 20:33 Sebastien Fabbro
2017-07-01 10:14 Sergei Trofimovich
2017-05-11 19:34 Markus Meier
2017-02-19  8:29 Markus Meier
2017-02-13 21:45 David Seifert
2017-02-13 21:45 David Seifert
2017-02-05 13:30 Jeroen Roovers
2017-01-29 17:28 Fabian Groffen
2017-01-26 22:40 David Seifert
2017-01-20 18:08 David Seifert
2016-11-30 18:05 Michał Górny
2016-04-23  8:58 Dirkjan Ochtman
2016-01-25 15:11 Justin Lecher
2016-01-14  9:53 Justin Lecher
2015-12-03 10:21 Justin Lecher
2015-11-11 17:27 Justin Lecher
2015-10-27 15:20 Agostino Sarubbo
2015-10-14 13:51 Justin Lecher
2015-10-11 14:19 Justin Lecher
2015-10-11 12:33 Justin Lecher
2015-08-12 13:44 Tobias Klausmann

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1554037383.70300828c45a6688fee7e8661a8c32ddfc0446e8.vdupras@gentoo \
    --to=vdupras@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox